package MyGraphen;

import java.util.ArrayList;

public class Graph {
	
	ArrayList<Knoten> knoten;
	
	Graph(){
		knoten = new ArrayList<>();
	}
	
	public void add_Knoten(Knoten knote) {
		knoten.add(knote);
	}

	public ArrayList<Knoten> getKnoten() {
		return knoten;
	}
	
	public void zeige_Alle_Knoten() {
		System.out.println("Alle Knoten, die auf dem Graph sind: ");
		for (Knoten k : knoten)
			System.out.println("Knote: " + k.getValue());
	}
	
}
